#ifndef CFOLD_HH
#define CFOLD_HH

#include "TF1.h"

class CFold
{
public:
  CFold(TF1* fold);
  virtual ~CFold();

public:
  TF1* GetFoldedFunction();

  void SetStep(Double_t step);

  virtual Double_t Evaluate(Double_t *x, Double_t *par) = 0;

protected:
  TF1* fFold;
  TF1* fFolded;
  Double_t fStep;

  ClassDef(CFold, 0)
};

#endif
