#ifndef CMAPFUNCTION3D_HH
#define CMAPFUNCTION3D_HH

#include <string>

#include "CMapFunction.hh"

class CMapFunction3D : public CMapFunction
{
public:
  CMapFunction3D();
  ~CMapFunction3D();

  int SetFile(std::string filename);
  void Print();

  Double_t MapFunction(Double_t x, Double_t y, Double_t z);
  Double_t MapFunction(Double_t* x, Double_t* /*par*/);

private:
  Double_t MapFunction(int i, int j, int k);

private:
  type_map3d m_xyz;

  ClassDef(CMapFunction3D, 0)
};

#endif
