#ifndef CMAPFUNCTION2D_HH
#define CMAPFUNCTION2D_HH

#include <string>
#include <vector>

#include "CMapFunction.hh"

class CMapFunction2D : public CMapFunction
{
public:
  CMapFunction2D();
  ~CMapFunction2D();

  int SetFile(std::string filename);
  int SetFile(std::string filename,
	      double offsetx, double intervalx,
	      double offsety, double intervaly);
  int SetFile(type_map2d xy,
	      double offsetx, double intervalx,
	      double offsety, double intervaly);
  void Print();

  type_map MapFunction(Double_t x, Double_t y);
  Double_t MapFunction(Double_t* x, Double_t* /*par*/);

private:
  type_map MapFunction(int i, int j);

private:
  type_map2d m_xy;

  ClassDef(CMapFunction2D, 0)
};

#endif
